(function (lib, img, cjs) {

var p; // shortcut to reference prototypes

// library properties:
lib.properties = {
	width: 500,
	height: 44,
	fps: 12,
	color: "#FFFFFF",
	manifest: [
		{src:"sounds/cels1_1.mp3", id:"cels1_1"}
	]
};

// stage content:
(lib.cels1 = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.stop();
		this.button_1.addEventListener("click", fl_ClickToGoToAndStopAtFrame.bind(this));
		
		function fl_ClickToGoToAndStopAtFrame()
		{
			this.azul.play();
			this.gotoAndPlay(1);
		}
	}
	this.frame_1 = function() {
		playSound("cels1_1");
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1).call(this.frame_1).wait(1));

	// bandas
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#C4C4C4").s().p("EghLADaIAAgKMBCXAAAIAAAKgEghLAABIAAgIMBCXAAAIAAAIgEghLgDPIAAgKMBCXAAAIAAAKg");
	this.shape.setTransform(287,21.9);

	this.timeline.addTween(cjs.Tween.get(this.shape).wait(2));

	// texto
	this.text = new cjs.Text("A cel is a transparent sheet used as a medium for drawing and \npainting frames for traditional animation. ", "16px 'Gill Sans'");
	this.text.lineHeight = 20;
	this.text.setTransform(74,1.9);

	this.timeline.addTween(cjs.Tween.get(this.text).wait(2));

	// marca
	this.azul = new lib.marca();
	this.azul.setTransform(99,11.3,1,1,0,0,0,24.9,9);

	this.timeline.addTween(cjs.Tween.get(this.azul).wait(2));

	// boton
	this.button_1 = new lib.bargrey();
	this.button_1.setTransform(36,11);
	new cjs.ButtonHelper(this.button_1, 0, 1, 2, false, new lib.bargrey(), 3);

	this.timeline.addTween(cjs.Tween.get(this.button_1).wait(2));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(250,22,499.5,46.7);


// symbols:



(lib.marcamov = function() {
	this.initialize();

	// Capa 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#FFCC99").s().p("Aj4BaIAAizIHxAAIAACzg");
	this.shape.setTransform(24.9,9);

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = new cjs.Rectangle(0,0,49.9,18);


(lib.bargrey = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// text
	this.text = new cjs.Text("Play", "14px 'Gill Sans'", "#FFFFFF");
	this.text.textAlign = "center";
	this.text.lineHeight = 16;
	this.text.setTransform(-2,-6.8);

	this.timeline.addTween(cjs.Tween.get(this.text).to({_off:true},3).wait(1));

	// rules
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#C4C4C4").s().p("AlnBtIAAgKILOAAIAAAKgAlnhiIAAgKILOAAIAAAKg");

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AlnBtIAAgKILOAAIAAAKgAlnhiIAAgKILOAAIAAAKg");

	this.shape_2 = new cjs.Shape();
	this.shape_2.graphics.f("#666666").s().p("AlnBtIAAgKILOAAIAAAKgAlnhiIAAgKILOAAIAAAKg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape}]}).to({state:[{t:this.shape_1}]},1).to({state:[{t:this.shape_2}]},1).to({state:[]},1).wait(1));

	// box
	this.shape_3 = new cjs.Shape();
	this.shape_3.graphics.lf(["#C4C4C4","#808080","#C4C4C4"],[0,0.655,1],0,10,0,-10).s().p("AlnBaIAAizILOAAIAACzg");

	this.shape_4 = new cjs.Shape();
	this.shape_4.graphics.lf(["#E1E1E1","#666666","#E1E1E1"],[0,0.655,1],0,10,0,-10).s().p("AlnBaIAAizILOAAIAACzg");

	this.shape_5 = new cjs.Shape();
	this.shape_5.graphics.lf(["#666666","#E1E1E1","#666666"],[0,0.38,1],0,10,0,-10).s().p("AlnBaIAAizILOAAIAACzg");

	this.shape_6 = new cjs.Shape();
	this.shape_6.graphics.f("#000000").s().p("AlnBtIAAjZILOAAIAADZg");

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.shape_3}]}).to({state:[{t:this.shape_4}]},1).to({state:[{t:this.shape_5}]},1).to({state:[{t:this.shape_6}]},1).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-36,-11,72,25.4);


(lib.marca = function(mode,startPosition,loop) {
	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		this.stop();
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(93));

	// Capa 1
	this.instance = new lib.marcamov();
	this.instance.setTransform(24.9,9,1,1,0,0,0,24.9,9);

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:396.8},56).to({x:24.9,y:30.6},1).to({x:234.4},35).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,49.9,18);

})(lib = lib||{}, images = images||{}, createjs = createjs||{});
var lib, images, createjs;